Subject: Alpha test -- ethernet pocket adaptor device driver
From: [email-masked] (Donald J. Becker)
Date: 9 Dec 1993 23:25:17 +0200
Newsgroups: comp.os.linux.announce

I've recently finished writing a Linux driver for an ethernet pocket adaptor,
and I'm now looking for a few more beta testers.

[[ Other drivers I have in alpha or beta test: AT1700, EtherExpress, 3c507,
and Ansel AC3200.  The Z-Note and E2100 drivers should be coming soon.]]

The driver is available by anonymous ftp from
	ftp.super.org:/pub/linux/distrib/pl15/atp.[ch]
Please contact me if you try it out.

Performance and Reliability

I've gotten about 205KB/sec. TCP  rate using 'ttcp -s -t <machine> -l 1024'.
I made a custom bootdisk and loaded Slackware on a laptop using NFS.  The
connection hung once during the transfer.  It reset itself and resumed normal
operation after briefly disconnecting the cable.  I'm working on tracking down
this bug.

________________
This adaptor is sold in the U.S. by AT-Lan-Tec as model number AEP-100L.
It's OEMed in Europe, usually under the name RTPI (or RPTI?).  There are also
a number of we-print-the-label brands.

Physical Description

The adaptor is "normal size" for the product class, about 57mm wide, 22mm high
tapering to 15mm high at the DB25 connector, and 105mm long (120mm including
the BNC socket).  It's switchable between the RJ45 and BNC jacks with a small
slide switch positioned between the two: a very intuitive design.

It's powered by a lightweight 5V "wall brick" adaptor that terminates in a
standard 5.0mm power connector.  I measured an unconnected quiescent power
draw of 102ma for BNC and 84ma for 10baseT.  I hooked the pocket adaptor up to
my home thinnet and started FTPing a large file.  The power measurements were:
	idle, connected		99ma @ 5.1V
	active, connected	107ma @ 5.1V
This was measured using a Fluke 8026B true-RMS multimeter, so I'm pretty
confident the numbers are good. This power draw is low enough that you could
buy or build a cable to take the 5V directly from the keyboard/mouse port
available on many laptops.  (Bonus points here for using a standardized power
connector instead of proprietary one.)

Availability

AT-Lan-Tec (+1-301-948-7070 or 1-800-847-3965, ask for Vincent Bono) sells
these adaptors for $149 (1-10) $129 (11+), which is a very reasonable price
for this product class.  The software package includes NDIS, ODI, and packet
drivers, but I only ran the MS-DOS stuff long enough to verify that my driver
was reading the correct station address.

Disclaimer and Misc. info

I'm sensitive to the issue of mentioning a specific vendor by name.
I have no financial stake in AT-Lan-Tec, nor do I get discounts or free
evaluation hardware from them.  I deliberately picked the lowest priced
adaptor to write a Linux driver for.  It did take a long time to get the
programming information (and it turned out to be in difficult-to-understand
ASM code, ugghhh), but the price dropped in the meantime so I think 
that this is still the least expensive pocket adaptor available.

-- 

Donald Becker					       [email-masked]
IDA Supercomputing Research Center
17100 Science Drive, Bowie MD 20715			   301-805-7482

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.